<?php
$table_contents_title = ( get_option('shaken_table_contents_title')) ? get_option('shaken_table_contents_title') : 'Table of Contents'; ?>
    
<?php // Table of contents
$sections_loop = new WP_Query('posts_per_page=-1&post_type=section&orderby=menu_order&post_parent=0');
if ( $sections_loop->have_posts() ) : ?>

	<h2><?php echo $table_contents_title; ?></h2>
	<ol class="sections">
	<?php while ( $sections_loop->have_posts() ) : $sections_loop->the_post(); 
	$parent_href = $post->post_name.'-'.get_the_ID();
	?>
		
		<li><a href="#<?php echo $parent_href; ?>" class="anchor"><?php the_title(); ?></a>
		
			<?php $childLoop = new WP_Query('posts_per_page=-1&post_type=section&orderby=menu_order&post_parent='.get_the_ID());
			if ( $childLoop->have_posts() ) : ?>
				<ul>
				<?php while ( $childLoop->have_posts() ) : $childLoop->the_post(); ?>
				
					<li><a href="#<?php echo $parent_href; ?>" class="anchor"><?php the_title(); ?></a></li>
					
				<?php endwhile; ?> 
				</ul>
			<?php endif; ?>
		
		</li>
	<?php endwhile; ?>
	</ol>
<?php endif; wp_reset_query(); ?>
    

<?php // Main sections loop
$i = 1; // The number that goes before the section title
query_posts('posts_per_page=-1&post_type=section&orderby=menu_order&post_parent=0');
if (have_posts()) : while (have_posts()) : the_post(); ?>

        <div class="section restricted" id="<?php echo $post->post_name.'-'.get_the_ID(); ?>">
        	<?php if($i < 10) $i_pre = '0'; else $i_pre = ''; ?>
            <h2 class="title"><a href="#">
				<span class="section-number"><?php echo $i_pre.$i; ?> </span>
				<?php the_title(); ?> 
                <span class="btn"></span>
            </a></h2>
            <div class="section-content">
            	<?php edit_post_link('<p><strong>РЕДАКТИРОВАТЬ СЕКЦИЮ</strong></p>'); ?>
            	<?php the_content(); ?>
                
                <?php 
				$childLoop = new WP_Query('posts_per_page=-1&post_type=section&orderby=menu_order&post_parent='.get_the_ID());
				if ( $childLoop->have_posts() ) : while ( $childLoop->have_posts() ) : $childLoop->the_post(); ?>
                	
                    <div id="<?php echo $post->post_name.'-'.get_the_ID(); ?>" class="sub-section">
						<h3><?php the_title(); ?> <?php edit_post_link('<span class="sub-section-edit">Редактировать</span>'); ?></h3>
                        <?php the_content(); ?>
                    </div>
                    
                <?php endwhile; endif; ?>         
            </div>
        </div><!-- #section -->

    <?php 
	$i++;
	endwhile; ?>

<?php endif; ?>
